<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iTrigger Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iTrigger Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iTrigger" --><!-- doxytag: inherits="iBase" -->
<p>This is a trigger.  
 <a href="structiTrigger.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiTrigger.png" usemap="#iTrigger_map" alt=""/>
  <map id="iTrigger_map" name="iTrigger_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,56,24"/>
</map>
 </div></div>

<p><a href="structiTrigger-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#a71d1b2a2fd942bf5b58feb02fc0b2a36">ActivateTrigger</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate the trigger.  <a href="#a71d1b2a2fd942bf5b58feb02fc0b2a36"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#ab61b49963435848e36bbf7ce9ac052b1">Check</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check the trigger immediatelly and return true if it is valid.  <a href="#ab61b49963435848e36bbf7ce9ac052b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#a30a56248e8ce090fe645df2f70a4ade7">ClearCallback</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the callback.  <a href="#a30a56248e8ce090fe645df2f70a4ade7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#a5a88d8b2232ab579fd242dbb3e06d56f">DeactivateTrigger</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deactivate the trigger.  <a href="#a5a88d8b2232ab579fd242dbb3e06d56f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#a1d9c2a120a2aaf3231db03363d317ebe">LoadAndActivateTrigger</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate the trigger and load state from databuf (persistence).  <a href="#a1d9c2a120a2aaf3231db03363d317ebe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#aa92450fec431d0fee6c8a4c56c0b8b3c">RegisterCallback</a> (<a class="el" href="structiTriggerCallback.html">iTriggerCallback</a> *callback)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a callback with this trigger.  <a href="#aa92450fec431d0fee6c8a4c56c0b8b3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTrigger.html#a3644b5f2e1342aa3b7046d78a031d8ab">SaveTriggerState</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save trigger state.  <a href="#a3644b5f2e1342aa3b7046d78a031d8ab"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a trigger. </p>
<p>Triggers are created by trigger factories. To be able to use your own trigger implementations you must also make associated trigger factories. See <a class="el" href="structiTriggerFactory.html" title="A factory to create triggers.">iTriggerFactory</a>.</p>
<p>Triggers must start in deactivated state. </p>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00052">52</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a71d1b2a2fd942bf5b58feb02fc0b2a36"></a><!-- doxytag: member="iTrigger::ActivateTrigger" ref="a71d1b2a2fd942bf5b58feb02fc0b2a36" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTrigger.html#a71d1b2a2fd942bf5b58feb02fc0b2a36">iTrigger::ActivateTrigger</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Activate the trigger. </p>
<p>Note that triggers start deactivated. </p>

</div>
</div>
<a class="anchor" id="ab61b49963435848e36bbf7ce9ac052b1"></a><!-- doxytag: member="iTrigger::Check" ref="ab61b49963435848e36bbf7ce9ac052b1" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiTrigger.html#ab61b49963435848e36bbf7ce9ac052b1">iTrigger::Check</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check the trigger immediatelly and return true if it is valid. </p>
<p>This function does nothing else. Only the condition of the trigger is tested. If this function returns true then it should also have deactivated the trigger and fired the callbacks. This is not the responsability of the caller. </p>

</div>
</div>
<a class="anchor" id="a30a56248e8ce090fe645df2f70a4ade7"></a><!-- doxytag: member="iTrigger::ClearCallback" ref="a30a56248e8ce090fe645df2f70a4ade7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTrigger.html#a30a56248e8ce090fe645df2f70a4ade7">iTrigger::ClearCallback</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the callback. </p>

</div>
</div>
<a class="anchor" id="a5a88d8b2232ab579fd242dbb3e06d56f"></a><!-- doxytag: member="iTrigger::DeactivateTrigger" ref="a5a88d8b2232ab579fd242dbb3e06d56f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTrigger.html#a5a88d8b2232ab579fd242dbb3e06d56f">iTrigger::DeactivateTrigger</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deactivate the trigger. </p>
<p>Note that triggers start deactivated. </p>

</div>
</div>
<a class="anchor" id="a1d9c2a120a2aaf3231db03363d317ebe"></a><!-- doxytag: member="iTrigger::LoadAndActivateTrigger" ref="a1d9c2a120a2aaf3231db03363d317ebe" args="(iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiTrigger.html#a1d9c2a120a2aaf3231db03363d317ebe">iTrigger::LoadAndActivateTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Activate the trigger and load state from databuf (persistence). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on failure (data in buffer doesn't match what we expect). </dd></dl>

</div>
</div>
<a class="anchor" id="aa92450fec431d0fee6c8a4c56c0b8b3c"></a><!-- doxytag: member="iTrigger::RegisterCallback" ref="aa92450fec431d0fee6c8a4c56c0b8b3c" args="(iTriggerCallback *callback)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTrigger.html#aa92450fec431d0fee6c8a4c56c0b8b3c">iTrigger::RegisterCallback</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiTriggerCallback.html">iTriggerCallback</a> *&#160;</td>
          <td class="paramname"><em>callback</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a callback with this trigger. </p>
<p>When the trigger fires it will call this callback. A trigger supports only one callback. </p>

</div>
</div>
<a class="anchor" id="a3644b5f2e1342aa3b7046d78a031d8ab"></a><!-- doxytag: member="iTrigger::SaveTriggerState" ref="a3644b5f2e1342aa3b7046d78a031d8ab" args="(iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTrigger.html#a3644b5f2e1342aa3b7046d78a031d8ab">iTrigger::SaveTriggerState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save trigger state. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
